Bug 136099 - API improvements required by the redesigned debugger behavior
API improvements required by the redesigned debugger behavior
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 133948
  Show dependency treegraph
 
Reported: 2008-05-29 16:17 UTC by Martin Entlicher
Modified: 2010-04-29 09:39 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The plain API change attached. Working on apichanges description... (35.65 KB, text/plain)
2008-05-29 16:41 UTC, Martin Entlicher
Details
API change in api.debugger.jpda with description in apichanges (25.18 KB, text/plain)
2008-05-31 00:55 UTC, Martin Entlicher
Details
API change in spi.viewmodel with description in apichanges (34.18 KB, text/plain)
2008-05-31 00:55 UTC, Martin Entlicher
Details
New version of API_Prototype_JPDA.txt, including AttachingDICookie.getProcessID() (26.08 KB, text/plain)
2008-06-02 14:04 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2008-05-29 16:17:44 UTC
An API change is required by the debugger redesign phase 1 (see issue #133948).
Comment 1 Martin Entlicher 2008-05-29 16:41:14 UTC
Created attachment 62131 [details]
The plain API change attached. Working on apichanges description...
Comment 2 Martin Entlicher 2008-05-31 00:55:01 UTC
Created attachment 62200 [details]
API change in api.debugger.jpda with description in apichanges
Comment 3 Martin Entlicher 2008-05-31 00:55:53 UTC
Created attachment 62201 [details]
API change in spi.viewmodel with description in apichanges
Comment 4 Martin Entlicher 2008-05-31 01:00:36 UTC
Requesting a fast API review, API_Prototype_JPDA.txt and API_Prototype_TTV.txt describe the API changes.
Working on tests of the new API, they are going to be attached soon.
Comment 5 Martin Entlicher 2008-06-02 14:04:32 UTC
Created attachment 62249 [details]
New version of API_Prototype_JPDA.txt, including AttachingDICookie.getProcessID()
Comment 6 Daniel Prusa 2008-06-03 14:03:33 UTC
I have reviewed the proposed API change. I think, it is OK, I have not found any problems.
Comment 7 rmatous 2008-06-03 14:33:37 UTC
Reviewed, just a comment(nitpicking), that method JPDADebugger.getAllThreads() might be redundant because of
JPDADebugger.getThreadsCollector() seems to cover the same.
Comment 8 Jan Jancura 2008-06-04 11:42:19 UTC
I do not see any problem with this API, reviewed.
Comment 9 Martin Entlicher 2008-06-04 12:36:10 UTC
Thanks for the review. We have review of the API change from 3 developers, thus I'm going to push the change shortly...
Comment 10 Martin Entlicher 2008-06-04 13:29:59 UTC
The new API is pushed to trunk together with the first phase of the debugger UI redesign:
changeset:   82689:9876a26d326e
http://hg.netbeans.org/main/rev/9876a26d326e
Comment 11 ivan 2008-06-04 21:29:24 UTC
Is there a _verbal_ description of the changes?
It's hard to slog through diffs and XML.

From what I could gather ...
- The addition of EXPANSION_MASK is OK.
- Why is Models.createNodes() public?
  My understanding was that viewmodel _completely_ hides Nodes from view.
- What is TreeFeatures?
- I see TreeExpansionMOdelFilter per IZ 79940 (which BTW says WONTFIX:-)
Comment 12 Quality Engineering 2008-06-05 03:54:28 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #238 build
Changeset: http://hg.netbeans.org/main/rev/9876a26d326e
User: mentlicher@netbeans.org
Log: #133948 - The first phase of debugger UI redesigned merged from dbg-prototype clon into trunk.
#136099 - APIs extended for the new functionality.
Comment 13 Martin Entlicher 2008-06-07 17:44:46 UTC
ivan, verbal description is just in the Javadoc and apichanges. :-(

Models.createNodes() is a utility method for specialized views. If a standard view based on TreeTableView, which is
created by Models.createView(), is not sufficient, the new method creates a tree structure, that can be used in any
TreeView. It's currently used by the debugging view, which is somewhat special and does not use TreeTableView.

TreeFeatures class was already a part of the APIs. This class was not used much, I've changed it to an abstract class so
that it's implementation can control node expansions in views.

I've forgot about issue #79940 already. Yes, it was closed as WONTFIX, since there was no real use-case for this filter.
Now there is, thus I'll change the issue to FIXED. Thanks for your remark.
Comment 14 Quality Engineering 2010-04-29 09:39:54 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo